FadvisedChunkedFile (Apache Hadoop MapReduce Shuffle 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapred, class: FadvisedChunkedFile

Package org.apache.hadoop.mapred

# Class FadvisedChunkedFile

java.lang.Object
io.netty.handler.stream.ChunkedFile
org.apache.hadoop.mapred.FadvisedChunkedFile

All Implemented Interfaces:
  `io.netty.handler.stream.ChunkedInput<io.netty.buffer.ByteBuf>`

public class FadvisedChunkedFile extends io.netty.handler.stream.ChunkedFile

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FadvisedChunkedFile(RandomAccessFile file, long position, long count, int chunkSize, boolean manageOsCache, int readaheadLength, org.apache.hadoop.io.ReadaheadPool readaheadPool, String identifier)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `close()`
  `io.netty.buffer.ByteBuf`
  `readChunk(io.netty.buffer.ByteBufAllocator allocator)`

  ### Methods inherited from class io.netty.handler.stream.ChunkedFile

  `currentOffset, endOffset, isEndOfInput, length, progress, readChunk, startOffset`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FadvisedChunkedFile

    public FadvisedChunkedFile(RandomAccessFile file, long position, long count, int chunkSize, boolean manageOsCache, int readaheadLength, org.apache.hadoop.io.ReadaheadPool readaheadPool, String identifier) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### readChunk

    public io.netty.buffer.ByteBuf readChunk(io.netty.buffer.ByteBufAllocator allocator) throws Exception
    Specified by:
      `readChunk` in interface `io.netty.handler.stream.ChunkedInput<io.netty.buffer.ByteBuf>`
    Overrides:
      `readChunk` in class `io.netty.handler.stream.ChunkedFile`
    Throws:
      `Exception`

  - ### close

    public void close() throws Exception
    Specified by:
      `close` in interface `io.netty.handler.stream.ChunkedInput<io.netty.buffer.ByteBuf>`
    Overrides:
      `close` in class `io.netty.handler.stream.ChunkedFile`
    Throws:
      `Exception`